use maud::{html, Markup, DOCTYPE};

pub fn header() -> Markup {
    html! {
        (DOCTYPE)
        head {
            meta charset="utf-8";
            title class="title" { "Clego" }
            script src="/public/htmx.min.js" {};
            link rel="stylesheet" href="/public/styles/main.css";
            link  rel="icon" href="/public/favicon.ico";
        }
        section class="hero is-primary is-small"{
            div class="hero-head" {
                nav class="navbar" role="navigation" aria-label="main navigation" {
                    div class="container" {
                        div class="navbar-brand" {
                            img src="/public/images/logo.svg" alt="logo";
                            h1 class="title" { "Clego" }
                        }
                    }
                }
            }
        }
    }
}

pub fn error_tmpl() -> Markup {
    html! {
        h1 { "Something went terribly wrong :(" }
    }
}
